<?php
/*
  Clase SuperDirecciones รณn
  @version 1.0
 */

class SuperDirecciones {

    public $nombre = '';
    public $direccion = '';
    public $cod_postal = '';
    public $localidad = '';
    public $provincia = '';
    public $telefono = '';
    public $pais = '';
    public $codigo = 0;
    public $array_nombre = array();
    public $array_direccion = array();
    public $array_cod_postal = array();
    public $array_localidad = array();
    public $array_provincia = array();
    public $array_telefono = array();
    public $array_pais = array();

    function __construct($cliente, $codigo, $direccion, $cod_postal = '', $localidad = '', $provincia = '', $telefono = '', $nombre = '', $pais = '') {
        include 'comunes/globals.php';
		//$arg_list = func_get_args();
		//var_dump($arg_list);
        $this->direccion = htmlentities($direccion);
        $this->cod_postal = htmlentities($cod_postal);
        $this->localidad = htmlentities($localidad);
        $this->provincia = htmlentities($provincia);
        $this->nombre = htmlentities($nombre);
        $this->telefono = htmlentities($telefono);
        $this->pais = htmlentities($pais);
        $this->codigo = htmlentities($codigo);

        $this->array_direccion[] = $this->direccion;
        $this->array_cod_postal[] = $this->cod_postal;
        $this->array_localidad[] = $this->localidad;
        $this->array_provincia[] = $this->provincia;
        $this->array_nombre[] = $this->nombre;
        $this->array_telefono[] = $this->telefono;
        $this->array_pais[] = $this->pais;
        $this->array_codigo[] = $this->codigo;

        if ($cliente > 0 AND $codigo > 0) {
            $sentenciaSQL = 'SELECT  `nombre_campo`, `valor` FROM `adjunto_direccion_envio`  WHERE `cliente` = \'' . $cliente . '\' AND `direccion_envio` = \'' . $codigo . '\';';
            //echo $sentenciaSQL;
            $conexionBD = dame_valor_variable_global('conexionBD', false);

            if ($conexionBD) {
                $resultado = mysqli_query($conexionBD, $sentenciaSQL);
                //var_dump(mysqli_fetch_array($resultado));
                while ($fila = mysqli_fetch_array($resultado)) {
                    $actual = 'array_' . $fila['nombre_campo'];
                    array_push($this->$actual, $fila['valor']);
                }
            }
        }
    }

    function __destruct() {
        
    }

    function getArray($nombre_array = NULL) {
        $retorno = NULL;
        if ($nombre_array != NULL) {
            $nombre_array = 'array_' . $nombre_array;
            if (isset($this->$nombre_array)) {
                $retorno = $this->$nombre_array;
            }
        }
        return($retorno);
    }
    /*
    public function getJSON() {
        $prop = get_object_vars($this);
        $resp = '{ ';
        foreach ($prop as $key => $value) {
            if (gettype($value) == 'string') {
                if ($this->flag_utf8) {
                    $resp .= '"' . $key . '":' . json_encode(htmlspecialchars_decode($value)) . ',';
                } else {
                    $resp .= '"' . $key . '":' . json_encode(htmlspecialchars_decode(utf8_encode($value))) . ',';
                }
            } else {
                $ejecutarJson = true;
                if (is_object($value)) {
                    if (method_exists('"' . get_class($value) . '"', 'getJson')) {
                        $ejecutarJson = false;
                    }
                }
                if (!$ejecutarJson) {
                    $resp .= '"' . $key . '":' . $value->getJSON() . ',';
                } else {
                    $resp .= '"' . $key . '":' . json_encode($value) . ',';
                }
            }
            $resp = substr($resp, 0, -1) . "}";
            return $resp;
        }
    }*/

}

?>